## baloo-kf5 5.74.0

=== debian/changelog ===
baloo-kf5 (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:56:53 +0100

baloo-kf5 (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:55:25 +0100

baloo-kf5 (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:29:35 +0100

baloo-kf5 (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:03:52 +0100

baloo-kf5 (5.70.0-2ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.
    - Drop Disable-the-file-indexer-by-default.patch, as Kubuntu sets baloo
      default config in our settings package.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 15:37:14 +0100

baloo-kf5 (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Add the missing libkf5config-dev dependency in baloo-kf5-dev, as some
    headers of baloo-kf5-dev include headers from libkf5config-dev.
  * Manually edit /usr/include/KF5/Baloo/baloo/baloosettings.h to drop the
    fileexcludefilters.h include, as it is a private (and not installed) header.
  * Explicitly add the gettext build dependency.
  * Remove the dh_makeshlibs override, as -V is the default behaviour in
    debhelper compatibility >= 12.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 10:41:19 +0200

baloo-kf5 (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols file from the logs of buildds.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:06 +0200

baloo-kf5 (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Refreshed patch fix-822499.patch

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:29:25 +0100

baloo-kf5 (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Remove breaks/replaces on l10n packages, as the move is older than
    Debian stable.
  * Delete not needed Breaks/Confilcts.
  * Update patch to disable indexing by default.
  * Remove not shipped icon from baloo-kf5.
  * Cleanup copyright file.
  * Remove not needed injection of linker flags.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:06 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               dh-exec,
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               graphviz,
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5crash-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5filemetadata-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5idletime-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5solid-dev (>= 5.74.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
Rules-Requires-Root: no

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5config-dev (>= 5.74.0~),
         libkf5coreaddons-dev (>= 5.74.0~),
         libkf5filemetadata-dev (>= 5.74.0~),
         ${misc:Depends},
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

## baloo-kf5 5.78.0

=== src/qml/CMakeLists.txt ===
set(balooplugin_SRCS
    balooplugin.cpp
    queryresultsmodel.cpp
    )

add_library(balooplugin SHARED ${balooplugin_SRCS})
target_link_libraries(balooplugin Qt5::Core Qt5::Qml KF5::Baloo)
install(TARGETS balooplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/baloo/)

install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/baloo)

add_subdirectory(experimental)

=== autotests/unit/engine/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp singledbtest.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt5::Test KF5::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    positiondbtest
    postingdbtest
    documentdbtest
    documenturldbtest
    documentiddbtest
    documentdatadbtest
    documenttimedbtest
    idtreedbtest
    idfilenamedbtest
    mtimedbtest

    termgeneratortest
    queryparsertest

    # Query
    andpostingiteratortest
    orpostingiteratortest
    postingiteratortest
    phraseanditeratortest
    transactiontest
)

=== src/kioslaves/kded/CMakeLists.txt ===
set (KDED_BALOOSEARCH_SRCS
     baloosearchmodule.cpp
)

add_library(baloosearchmodule MODULE ${KDED_BALOOSEARCH_SRCS})
kcoreaddons_desktop_to_json(baloosearchmodule baloosearchmodule.desktop)

target_link_libraries(baloosearchmodule
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::KIOCore
)

install(TARGETS baloosearchmodule DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

=== debian/changelog ===
baloo-kf5 (5.78.0-3) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove graphviz from build depends.

  [ Aurélien COUDERC ]
  * Cherry-pick upstream fix to not try and index .swp files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 13:38:53 +0100

baloo-kf5 (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:17 +0900

baloo-kf5 (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

baloo-kf5 (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:32 +0900

baloo-kf5 (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

baloo-kf5 (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:18:22 +0200

baloo-kf5 (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to baloo-kf5.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update copyright for 5.74.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:16 +0200

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               dh-exec,
               doxygen,
               extra-cmake-modules (>= 5.78.0~),
               gettext,
               libkf5config-dev (>= 5.78.0~),
               libkf5coreaddons-dev (>= 5.78.0~),
               libkf5crash-dev (>= 5.78.0~),
               libkf5dbusaddons-dev (>= 5.78.0~),
               libkf5filemetadata-dev (>= 5.78.0~),
               libkf5i18n-dev (>= 5.78.0~),
               libkf5idletime-dev (>= 5.78.0~),
               libkf5kio-dev (>= 5.78.0~),
               libkf5solid-dev (>= 5.78.0~),
               liblmdb-dev,
               libqt5sql5-sqlite,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
Rules-Requires-Root: no

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5config-dev (>= 5.78.0~),
         libkf5coreaddons-dev (>= 5.78.0~),
         libkf5filemetadata-dev (>= 5.78.0~),
         ${misc:Depends}
Recommends: libkf5baloo-doc (= ${source:Version})
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5baloo-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework for searching and managing metadata core lib (documentation)
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_auto_install:
	dh_auto_install
	# sadly baloosettings.h includes an internal header,
	# which seems not actually required
	sed -i '/\<fileexcludefilters\.h\>/d' debian/tmp/usr/include/KF5/Baloo/baloo/baloosettings.h

## baloo-kf5 5.80.0

=== debian/changelog ===
baloo-kf5 (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:05:44 +0000

baloo-kf5 (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                gettext,
-               libkf5config-dev (>= 5.78.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5crash-dev (>= 5.78.0~),
-               libkf5dbusaddons-dev (>= 5.78.0~),
-               libkf5filemetadata-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
-               libkf5idletime-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5solid-dev (>= 5.78.0~),
+               graphviz,
+               libkf5config-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5crash-dev (>= 5.80.0~),
+               libkf5dbusaddons-dev (>= 5.80.0~),
+               libkf5filemetadata-dev (>= 5.80.0~),
+               libkf5i18n-dev (>= 5.80.0~),
+               libkf5idletime-dev (>= 5.80.0~),
+               libkf5kio-dev (>= 5.80.0~),
+               libkf5solid-dev (>= 5.80.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -26,7 +27,7 @@
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/baloo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
@@ -48,10 +49,10 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.78.0~),
-         libkf5coreaddons-dev (>= 5.78.0~),
-         libkf5filemetadata-dev (>= 5.78.0~),
-         ${misc:Depends}
+         libkf5config-dev (>= 5.80.0~),
+         libkf5coreaddons-dev (>= 5.80.0~),
+         libkf5filemetadata-dev (>= 5.80.0~),
+         ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files
  A framework for searching and managing metadata in KDE Software.

## baloo-kf5 5.86.0

=== debian/changelog ===
baloo-kf5 (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:45:51 +0100

baloo-kf5 (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:24:17 +0100

baloo-kf5 (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:57:56 +0100

baloo-kf5 (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:14:46 +0100

baloo-kf5 (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:54:24 +0100

baloo-kf5 (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:26:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                gettext,
                graphviz,
-               libkf5config-dev (>= 5.80.0~),
-               libkf5coreaddons-dev (>= 5.80.0~),
-               libkf5crash-dev (>= 5.80.0~),
-               libkf5dbusaddons-dev (>= 5.80.0~),
-               libkf5filemetadata-dev (>= 5.80.0~),
-               libkf5i18n-dev (>= 5.80.0~),
-               libkf5idletime-dev (>= 5.80.0~),
-               libkf5kio-dev (>= 5.80.0~),
-               libkf5solid-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.86.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
+               libkf5crash-dev (>= 5.86.0~),
+               libkf5dbusaddons-dev (>= 5.86.0~),
+               libkf5filemetadata-dev (>= 5.86.0~),
+               libkf5i18n-dev (>= 5.86.0~),
+               libkf5idletime-dev (>= 5.86.0~),
+               libkf5kio-dev (>= 5.86.0~),
+               libkf5solid-dev (>= 5.86.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -49,9 +49,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.80.0~),
-         libkf5coreaddons-dev (>= 5.80.0~),
-         libkf5filemetadata-dev (>= 5.80.0~),
+         libkf5config-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5filemetadata-dev (>= 5.86.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files

## baloo-kf5 5.92.0

=== CMakeLists.txt ===
# set minimum version requirements
cmake_minimum_required(VERSION 3.16)
set(REQUIRED_QT_VERSION 5.15.2)
set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts

# set up project
project(Baloo VERSION ${KF_VERSION})

# set up extra-cmake-modules before trying anything else
include(FeatureSummary)

find_package(ECM ${KF_DEP_VERSION} NO_MODULE)
set_package_properties(ECM
    PROPERTIES
        TYPE REQUIRED
        DESCRIPTION "Extra CMake Modules"
        URL "https://commits.kde.org/extra-cmake-modules"
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

# we found extra-cmake-modules, so use it now
set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH}
)

include(ECMSetupVersion)

# set up baloo versions
ecm_setup_version(PROJECT
    VARIABLE_PREFIX BALOO
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    SOVERSION 5
)

# include optional and extra cmake stuff
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateExportHeader)
include(ECMConfiguredInstall)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_EXPERIMENTAL "Build experimental features" OFF)
add_feature_info(EXP ${BUILD_EXPERIMENTAL} "Build experimental features")


# set up build dependencies
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB
    PROPERTIES
        DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
        URL "https://symas.com/lmdb"
        TYPE REQUIRED
)
if(${LMDB_FOUND})
    include_directories(${LMDB_INCLUDE_DIRS})
endif()

# compiler flags and build system
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)

find_package(Inotify)
set_package_properties(Inotify PROPERTIES
    PURPOSE "Filesystem alteration notifications using inotify")
set(BUILD_KINOTIFY ${Inotify_FOUND})

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}

    # we'll configure the rest here so that we don't have to
    # specify them in the source and test directories separately
    ${CMAKE_SOURCE_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/lib
    ${CMAKE_BINARY_DIR}/src/codecs
    ${CMAKE_SOURCE_DIR}/src/codecs
    ${CMAKE_BINARY_DIR}/src/engine
    ${CMAKE_SOURCE_DIR}/src/engine
    ${CMAKE_BINARY_DIR}/src/file
    ${CMAKE_SOURCE_DIR}/src/file
    ${CMAKE_BINARY_DIR}/src/dbus
    ${CMAKE_SOURCE_DIR}/src/dbus
)

# targets
add_subdirectory(src)

if (BUILD_TESTING AND BUILD_KINOTIFY)
   add_subdirectory(tests)
   add_subdirectory(autotests)
endif()

# i18n
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Baloo")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Baloo_QCH
        FILE KF5BalooQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BalooQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

# install targets
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooTargets
    NAMESPACE KF5::
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Baloo
    COMPONENT Devel
)

# and we're done
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/benchmarks/CMakeLists.txt ===
# Benchmarks, compiled, but not run automatically with ctest
add_executable(databasebenchmark databasebenchmark.cpp)
target_link_libraries(databasebenchmark Qt${QT_MAJOR_VERSION}::Test KF5::BalooEngine)

add_executable(positioncodecbenchmark positioncodecbenchmark.cpp)
target_link_libraries(positioncodecbenchmark Qt${QT_MAJOR_VERSION}::Test KF5::BalooCodecs)

=== src/dbus/CMakeLists.txt ===
#
# MainHub
#
set(mainhub_xml org.kde.baloo.main.xml)

qt_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/mainhub.h
    ${mainhub_xml}
    OPTIONS -a
)

#
# FileIndexScheduler
#
set(scheduler_xml org.kde.baloo.scheduler.xml)

qt_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/fileindexscheduler.h
    ${scheduler_xml}
    OPTIONS -a
)

#
# FileContentIndexer
#
set(contentindexer_xml org.kde.baloo.fileindexer.xml)

qt_generate_dbus_interface(
    ${CMAKE_SOURCE_DIR}/src/file/filecontentindexer.h
    ${contentindexer_xml}
    OPTIONS -a
)

set(
    dbus_interface_xmls
    ${CMAKE_CURRENT_BINARY_DIR}/${mainhub_xml}
    ${CMAKE_CURRENT_BINARY_DIR}/${scheduler_xml}
    ${CMAKE_CURRENT_BINARY_DIR}/${contentindexer_xml}
)

qt_add_dbus_interfaces(
    dbus_interfaces
    ${dbus_interface_xmls}
)

add_custom_target(
    BalooDBusInterfaces
    ALL
    DEPENDS ${dbus_interfaces}
)

install(FILES ${dbus_interface_xmls} DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

add_subdirectory(fake)

=== src/engine/CMakeLists.txt ===
set(BALOO_ENGINE_SRCS
    andpostingiterator.cpp
    database.cpp
    document.cpp
    documentdb.cpp
    documentdatadb.cpp
    documenturldb.cpp
    documenttimedb.cpp
    documentiddb.cpp
    enginequery.cpp
    idtreedb.cpp
    idfilenamedb.cpp
    indexerstate.cpp
    mtimedb.cpp
    orpostingiterator.cpp
    phraseanditerator.cpp
    positiondb.cpp
    postingdb.cpp
    postingiterator.cpp
    queryparser.cpp
    termgenerator.cpp
    transaction.cpp
    vectorpostingiterator.cpp
    vectorpositioninfoiterator.cpp
    writetransaction.cpp
    global.cpp
    fsutils.cpp
)

ecm_qt_declare_logging_category(
    BALOO_ENGINE_SRCS
    HEADER "enginedebug.h"
    IDENTIFIER "Baloo::ENGINE"
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME kf.baloo.engine
    OLD_CATEGORY_NAMES org.kde.baloo.engine
    DESCRIPTION "Baloo Engine"
    EXPORT BALOO
)

if(${BUILD_EXPERIMENTAL})
  set(BALOO_ENGINE_SRCS ${BALOO_ENGINE_SRCS} experimental/databasesanitizer.cpp)
endif()

add_library(KF5BalooEngine ${BALOO_ENGINE_SRCS})
add_library(KF5::BalooEngine ALIAS KF5BalooEngine)

target_link_libraries(KF5BalooEngine
    PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
    KF5::CoreAddons
    ${LMDB_LIBRARIES}
    PRIVATE
    KF5BalooCodecs
    KF5::I18n
)

set_target_properties(KF5BalooEngine PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME BalooEngine
)

##target_include_directories(KF5BalooEngine INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Baloo>")

generate_export_header(KF5BalooEngine BASE_NAME BALOO_ENGINE EXPORT_FILE_NAME engine_export.h)

install(TARGETS KF5BalooEngine EXPORT KF5BalooTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== tests/file/CMakeLists.txt ===
add_executable(indexerconfigtest indexerconfigtest.cpp)
target_link_libraries(indexerconfigtest baloofilecommon)
ecm_mark_as_test(indexerconfigtest)

add_executable(inotifytest inotify.cpp)
target_link_libraries(inotifytest Qt${QT_MAJOR_VERSION}::Core baloofilecommon)
ecm_mark_as_test(inotifytest)

#
# Storage Devices
#
add_executable(storagedevicestest storagedevicestest.cpp)
target_link_libraries(storagedevicestest Qt${QT_MAJOR_VERSION}::Core KF5::Solid baloofilecommon)
ecm_mark_as_test(storagedevicestest)

# Benchmark, compiled, but not run automatically with ctest
add_executable(filtereddiriteratorbenchmark filtereddiriteratorbenchmark.cpp)
target_link_libraries(filtereddiriteratorbenchmark Qt${QT_MAJOR_VERSION}::Core baloofilecommon)

#
# Remaining Time //TODO: rewrite the test to use mainhub, instead of using the indexers directly
#
#[[set_source_files_properties(${CMAKE_BINARY_DIR}/src/dbus/extractor_interface.cpp PROPERTIES GENERATED 1)

 add_executable(remainingtimetest-manual
  remainingtimetest.cpp
  ${CMAKE_BINARY_DIR}/src/dbus/extractor_interface.cpp
)

add_dependencies(remainingtimetest-manual BalooDBusInterfaces)

target_link_libraries(remainingtimetest-manual
  Qt${QT_MAJOR_VERSION}::Core
  baloofilecommon
)

ecm_mark_as_test(remainingtimetest-manual)
]]

=== autotests/unit/lib/CMakeLists.txt ===
#
# Query Serialization
#
ecm_add_test(queryserializationtest.cpp
    TEST_NAME "queryserializationtest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::Baloo
)
ecm_add_test(filemonitortest.cpp
    TEST_NAME "filemonitortest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::DBus KF5::Baloo
)

#
# Advanced Query Parser
#
ecm_add_test(advancedqueryparsertest.cpp ../../../src/lib/advancedqueryparser.cpp ../../../src/lib/term.cpp
    TEST_NAME "advancedqueryparsertest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test
)

#
# Fetch Job
#
set(filefetchjobtest_SRC filefetchjobtest.cpp)
ecm_add_test(${filefetchjobtest_SRC}
    TEST_NAME "filefetchjobtest"
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test KF5::Baloo KF5::BalooEngine KF5::FileMetaData
)

=== src/kioslaves/kded/CMakeLists.txt ===
--- 
+++ 
@@ -11,4 +11,4 @@
     KF5::KIOCore
 )
 
-install(TARGETS baloosearchmodule DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)
+install(TARGETS baloosearchmodule DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kded)

=== src/tools/balooctl/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"balooctl5\")

set(SRCS
    main.cpp
    indexer.cpp
    command.cpp
    configcommand.cpp
    statuscommand.cpp
    monitorcommand.cpp
    ${CMAKE_SOURCE_DIR}/src/file/extractor/result.cpp
)

set(DBUS_INTERFACES
  ${CMAKE_BINARY_DIR}/src/dbus/maininterface.cpp
  ${CMAKE_BINARY_DIR}/src/dbus/schedulerinterface.cpp
  ${CMAKE_BINARY_DIR}/src/dbus/fileindexerinterface.cpp
)


# CMake <= 3.9 skipped automoc for generated files
# CMake >= 3.10 requires SKIP_AUTOMOC to actually skip automoc
SET_SOURCE_FILES_PROPERTIES(${DBUS_INTERFACES} PROPERTIES GENERATED 1 SKIP_AUTOMOC 1)

add_executable(balooctl ${SRCS} ${DBUS_INTERFACES})
ecm_mark_nongui_executable(balooctl)
add_dependencies(balooctl BalooDBusInterfaces)
target_compile_definitions(balooctl PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries(balooctl
    Qt${QT_MAJOR_VERSION}::DBus
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::Baloo
    KF5::BalooEngine
    baloofilecommon
)

install(TARGETS balooctl DESTINATION ${KDE_INSTALL_BINDIR})

=== debian/changelog ===
baloo-kf5 (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:24:53 +0000

baloo-kf5 (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:19 +0000

baloo-kf5 (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:44:28 +0000

baloo-kf5 (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:05 +0000

baloo-kf5 (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:01 +0000

baloo-kf5 (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

baloo-kf5 (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:48:08 +0900

baloo-kf5 (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:44 +0900

baloo-kf5 (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 15 Aug 2021 23:59:45 +0900

baloo-kf5 (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:58 +0900

baloo-kf5 (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 12:11:48 +0900

baloo-kf5 (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Sun, 09 May 2021 10:06:00 +0900

baloo-kf5 (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

baloo-kf5 (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:31 +0900

baloo-kf5 (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:25 +0900

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,36 @@
 Source: baloo-kf5
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                gettext,
-               graphviz,
-               libkf5config-dev (>= 5.86.0~),
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5crash-dev (>= 5.86.0~),
-               libkf5dbusaddons-dev (>= 5.86.0~),
-               libkf5filemetadata-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5idletime-dev (>= 5.86.0~),
-               libkf5kio-dev (>= 5.86.0~),
-               libkf5solid-dev (>= 5.86.0~),
+               libkf5config-dev (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5crash-dev (>= 5.92.0~),
+               libkf5dbusaddons-dev (>= 5.92.0~),
+               libkf5filemetadata-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5idletime-dev (>= 5.92.0~),
+               libkf5kio-dev (>= 5.92.0~),
+               libkf5solid-dev (>= 5.92.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
 Rules-Requires-Root: no
 
 Package: baloo-kf5
@@ -49,9 +48,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.86.0~),
-         libkf5coreaddons-dev (>= 5.86.0~),
-         libkf5filemetadata-dev (>= 5.86.0~),
+         libkf5config-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.92.0~),
+         libkf5filemetadata-dev (>= 5.92.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files

## baloo-kf5 5.98.0

=== debian/changelog ===
baloo-kf5 (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:29:45 +0100

baloo-kf5 (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:01:54 +0100

baloo-kf5 (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:27:59 +0100

baloo-kf5 (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:10 +0100

baloo-kf5 (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:16:56 +0100

baloo-kf5 (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:20:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5crash-dev (>= 5.92.0~),
-               libkf5dbusaddons-dev (>= 5.92.0~),
-               libkf5filemetadata-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5idletime-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5solid-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5filemetadata-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5idletime-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5solid-dev (>= 5.98.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -48,9 +48,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.92.0~),
-         libkf5coreaddons-dev (>= 5.92.0~),
-         libkf5filemetadata-dev (>= 5.92.0~),
+         libkf5config-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5filemetadata-dev (>= 5.98.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files

## baloo-kf5 5.100.0

=== debian/changelog ===
baloo-kf5 (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:05 +0100

baloo-kf5 (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

baloo-kf5 (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:39 +0200

baloo-kf5 (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:08 +0200

baloo-kf5 (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

baloo-kf5 (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:48 +0200

baloo-kf5 (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: baloo-kf5
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
                gettext,
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5crash-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5filemetadata-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5idletime-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5solid-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5crash-dev (>= 5.100.0~),
+               libkf5dbusaddons-dev (>= 5.100.0~),
+               libkf5filemetadata-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5idletime-dev (>= 5.100.0~),
+               libkf5kio-dev (>= 5.100.0~),
+               libkf5solid-dev (>= 5.100.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -27,10 +27,10 @@
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/baloo
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo.git
 Rules-Requires-Root: no
 
 Package: baloo-kf5
@@ -48,9 +48,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.98.0~),
-         libkf5coreaddons-dev (>= 5.98.0~),
-         libkf5filemetadata-dev (>= 5.98.0~),
+         libkf5config-dev (>= 5.100.0~),
+         libkf5coreaddons-dev (>= 5.100.0~),
+         libkf5filemetadata-dev (>= 5.100.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files

## baloo-kf5 5.101.0

=== debian/changelog ===
baloo-kf5 (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
                debhelper-compat (= 13),
                dh-exec,
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
+               extra-cmake-modules (>= 5.101.0~),
                gettext,
-               libkf5config-dev (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5crash-dev (>= 5.100.0~),
-               libkf5dbusaddons-dev (>= 5.100.0~),
-               libkf5filemetadata-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5idletime-dev (>= 5.100.0~),
-               libkf5kio-dev (>= 5.100.0~),
-               libkf5solid-dev (>= 5.100.0~),
+               libkf5config-dev (>= 5.101.0~),
+               libkf5coreaddons-dev (>= 5.101.0~),
+               libkf5crash-dev (>= 5.101.0~),
+               libkf5dbusaddons-dev (>= 5.101.0~),
+               libkf5filemetadata-dev (>= 5.101.0~),
+               libkf5i18n-dev (>= 5.101.0~),
+               libkf5idletime-dev (>= 5.101.0~),
+               libkf5kio-dev (>= 5.101.0~),
+               libkf5solid-dev (>= 5.101.0~),
                liblmdb-dev,
                libqt5sql5-sqlite,
                libxapian-dev,
@@ -48,9 +48,9 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5config-dev (>= 5.100.0~),
-         libkf5coreaddons-dev (>= 5.100.0~),
-         libkf5filemetadata-dev (>= 5.100.0~),
+         libkf5config-dev (>= 5.101.0~),
+         libkf5coreaddons-dev (>= 5.101.0~),
+         libkf5filemetadata-dev (>= 5.101.0~),
          ${misc:Depends},
 Recommends: libkf5baloo-doc (= ${source:Version})
 Description: framework for searching and managing metadata devel files
